summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorMike Frysinger <vapier@gentoo.org>2015-07-17 07:36:00 +0000
committerMike Frysinger <vapier@gentoo.org>2015-07-17 07:36:00 +0000
commit6d93154891beeacaf61e1fa1d520f0619c4f4f14 (patch)
treef0c6f0acf0456ff4395a8fb8e619f3daeddd5694 /eclass
parentBump (diff)
downloadhistorical-6d93154891beeacaf61e1fa1d520f0619c4f4f14.tar.gz
historical-6d93154891beeacaf61e1fa1d520f0619c4f4f14.tar.bz2
historical-6d93154891beeacaf61e1fa1d520f0619c4f4f14.zip
use --enable-checking=no w/gcc-3.4 as "release" was not added until gcc-4.0 #551636 by Samuel Bauer
Diffstat (limited to 'eclass')
-rw-r--r--eclass/toolchain.eclass6
1 files changed, 4 insertions, 2 deletions
diff --git a/eclass/toolchain.eclass b/eclass/toolchain.eclass
index 0380674265cd..65a537ffcd9f 100644
--- a/eclass/toolchain.eclass
+++ b/eclass/toolchain.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/toolchain.eclass,v 1.675 2015/06/01 16:05:43 vapier Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/toolchain.eclass,v 1.676 2015/07/17 07:36:00 vapier Exp $
# Maintainer: Toolchain Ninjas <toolchain@gentoo.org>
@@ -882,7 +882,9 @@ toolchain_src_configure() {
# Use the default ("release") checking because upstream usually neglects
# to test "disabled" so it has a history of breaking. #317217
if tc_version_is_at_least 3.4 ; then
- confgcc+=( --enable-checking="${GCC_CHECKS_LIST:-$(usex debug yes release)}" )
+ # The "release" keyword is new to 4.0. #551636
+ local off=$(tc_version_is_at_least 4.0 && echo release || echo no)
+ confgcc+=( --enable-checking="${GCC_CHECKS_LIST:-$(usex debug yes ${off})}" )
fi
# Branding